#
# spec file for package vlan (Version 1.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           vlan
BuildRequires:  gcc-c++
URL:            http://www.candelatech.com/~greear/vlan.html
Version:        1.8
Release:        40.2
Summary:        802.1q VLAN Implementation for Linux
License:        GPL
Group:          Productivity/Networking/Other
Autoreqprov:    on
Source:         http://scry.wanfear.com/~greear/vlan/vlan.%{version}.tar.bz2
Source1:        http://scry.wanfear.com/~greear/vlan/cisco_howto.html.bz2
Source2:        README.SuSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An 802.1q vlan implementation for Linux. See
http://www.candelatech.com/~greear/vlan.html for more information.



Authors:
--------
    Ben Greear <greearb@candelatech.com>

%debug_package
%prep
%setup -n vlan
cp -p %{S:1} .

%build
make CCFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall" STRIP=true

%install
make DESTDIR=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/{%{_sbindir},%{_mandir}/man8/}
install vconfig $RPM_BUILD_ROOT/%{_sbindir}
cp -p vconfig.8 $RPM_BUILD_ROOT%{_mandir}/man8/
cp %SOURCE2 .

%files
%defattr(444,root,root,755)
%doc *.html *.pl CHANGELOG README README.SuSE
%doc %{_mandir}/man8/vconfig.8.gz
%attr(555,root,root) %{_sbindir}/vconfig

%changelog -n vlan
* Wed Mar 29 2006 - poeml@suse.de
- updated README for usage of hardware descriptions for ETHERDEVICE
  [#150771]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 - schwab@suse.de
- Don't strip binaries.
* Fri Mar 05 2004 - poeml@suse.de
- update to 1.8
- vlan.1.6-strings.patch dropped, is fixed upstreams
* Thu Feb 26 2004 - hmacht@suse.de
- added option norootforbuild in specfile
* Thu Jul 24 2003 - poeml@suse.de
- update to 1.7m
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Wed Jul 17 2002 - okir@suse.de
- added README describing sysconfig/network hooks for VLAN
* Thu Apr 11 2002 - ro@suse.de
- up to version 1.6 to fix compile issues
* Sat Feb 02 2002 - poeml@suse.de
- initial package...
